//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace EMartVG.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class Usuarios
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Usuarios()
        {
            this.Carro = new HashSet<Carro>();
            this.Detalle_Compra = new HashSet<Detalle_Compra>();
        }
    
        public int Id_Usuario { get; set; }
        public string Primer_Nombre { get; set; }
        public string Segundo_Nombre { get; set; }
        public string Primer_Apellido { get; set; }
        public string Segundo_Apellido { get; set; }
        public string Run { get; set; }
        public string Email { get; set; }
        public string Password { get; set; }
        public string Calle { get; set; }
        public Nullable<int> Numero { get; set; }
        public string Ciudad_Comuna { get; set; }
        public string Region { get; set; }
        public int Id_Estado { get; set; }
        public Nullable<int> Id_Rol_Usuario { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Carro> Carro { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Detalle_Compra> Detalle_Compra { get; set; }
        public virtual Estado_Usuarios Estado_Usuarios { get; set; }
        public virtual Roles_Usuarios Roles_Usuarios { get; set; }
    }
}
